<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("t" . "e" . "x" . "t" => base64_decode("dGV4dA" . "=="), "_aaa5c303d68b56e51664da8" . "89c8f730c" => base64_decode("bGF1bmNoX3VybA=" . "="), "i" . "d" => base64_decode("aW" . "Q="), "typ" . "e" => base64_decode("dHlwZQ=" . "="), "_f656816961e85" . "73806141c558b1" . "84fe2" => base64_decode("c3ViamVjdA" . "=="), "_38f12d8b8c719a8ce0" . "fc2faefc225f35" => base64_decode("YXJyYXl" . "fbWFw"));
use Claromentis\Core\Event\Event;





class SendAllEvent extends Event
{
    protected $message_info;
    protected $recipients_info;
    protected $sender_id;
    public function __construct(array $_bcfb24cb34fc79a85279a34d2eebb7c6, array $_d8d8c85bb480f08e1e1a52f9f29fa747, int $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipients_info = $_d8d8c85bb480f08e1e1a52f9f29fa747;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId() : int
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType() : int
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["t" . "y" . "p" . "e"]];
    }
    
    
    
    
    public function GetUsersId() : array
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_38f12d8b8c719" . "a8ce0fc2faefc2" . "25f35"](function ($_a7d1b57fc9cf298f71cc4c520efc2d09) {
            return $_a7d1b57fc9cf298f71cc4c520efc2d09[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["i" . "d"]];
        }, $this->recipients_info);
    }
    
    
    
    
    public function GetRecipientsInfo() : array
    {
        return $this->recipients_info;
    }
    
    
    
    
    public function SetRecipientsInfo(array $_d8d8c85bb480f08e1e1a52f9f29fa747)
    {
        $this->recipients_info = $_d8d8c85bb480f08e1e1a52f9f29fa747;
    }
    
    
    
    
    public function GetSenderId() : int
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText() : string
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["te" . "xt"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_f656816" . "961e8573" . "806141c5" . "58b184fe" . "2"]];
    }
    
    
    
    
    public function GetLaunchUrl()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_aaa5c303d68b56e5166" . "4da889c8f730c"]] ?? null;
    }
}